Function
open
Open a file to be mapped into memory.
open(mapping, fileName[, openMode])
Include Headers
seqan/file.h
Parameters

mapping | A file mapping object. Types: FileMapping
fileName | C-style character string containing the file name.
openMode | The combination of flags defining how the file should be opened. See FileOpenMode for more details. Types: FileOpenMode Default: OPEN_RDWR | OPEN_CREATE | OPEN_APPEND Remarks: Write-only mode is not supported, use OPEN_RDWR if you need write access. If you omit the OPEN_APPEND flag in write mode, the file will be cleared when opened.

Return Values
A bool which is true on success.
Member of
FileMapping
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57